Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.jena.parser
Class MultipleTypesInstanceCache

    java.lang.Object
      edu.stanford.smi.protegex.owl.jena.parser.MultipleTypesInstanceCache

All Implemented Interfaces:
  edu.stanford.smi.protege.util.Disposable

    public class MultipleTypesInstanceCache

extends Object
implements edu.stanford.smi.protege.util.Disposable

Constructor Summary
`MultipleTypesInstanceCache()`

Method Summary
`void` | `addType(edu.stanford.smi.protege.model.Instance inst, edu.stanford.smi.protege.model.Cls type)`
`void` | `dispose()`
`Set<edu.stanford.smi.protege.model.Instance>` | `getInstancesWithMultipleTypes()`
`Collection<edu.stanford.smi.protege.model.Cls>` | `getTypesForInstance(edu.stanford.smi.protege.model.Instance inst)`
`Set<edu.stanford.smi.protege.model.Cls>` | `getTypesForInstanceAsSet(edu.stanford.smi.protege.model.Instance inst)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultipleTypesInstanceCache

    public MultipleTypesInstanceCache()

Method Detail

### addType

    public void addType(edu.stanford.smi.protege.model.Instance inst,
                        edu.stanford.smi.protege.model.Cls type)

### getTypesForInstance

    public Collection<edu.stanford.smi.protege.model.Cls> getTypesForInstance(edu.stanford.smi.protege.model.Instance inst)

### getInstancesWithMultipleTypes

    public Set<edu.stanford.smi.protege.model.Instance> getInstancesWithMultipleTypes()

### getTypesForInstanceAsSet

    public Set<edu.stanford.smi.protege.model.Cls> getTypesForInstanceAsSet(edu.stanford.smi.protege.model.Instance inst)

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `edu.stanford.smi.protege.util.Disposable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.